tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jim Urban" <jur...@parkcitysolutions.com>
Subject RE: Error Loading mod_jk.dll
Date Fri, 18 Oct 2002 19:23:20 GMT
Ok, a .42 dll should work with a .43 server.  Unfortunately I never get far
enough to find out if that is true or not.  Apache says it can't load the
module.  I think this means mod_jk.dll needs some other dll (MS c++?) to
run.  I had the same problem with mod_ssl until I remembered to copy the two
supporting dlls to the winnt/system32 directory.  Does anyone know if mod_jk
needs some additional dlls to run?  The note on the Detlev Beutner website
says this is a debug build, so do I need some debugger dlls?

Thanks,

Jim Urban - jurban@parkcitysolutions.com
Park City Solutions Inc.
Clinical Connectivity Suite Product Manager
Suite 295
500 Park Blvd.
Itasca, IL  60143
Voice:  (630) 250-3045 x106
Fax:  (630) 250-3046

CONFIDENTIALITY NOTICE
This message and any included attachments are from Park City Solutions Inc.
and are intended only for the entity to which it is addressed. The contained
information is confidential and privileged material. If you are not the
intended recipient, you are hereby notified that any use, dissemination, or
copying of this communication is strictly prohibited and may be unlawful. If
you have received this communication in error please notify the sender of
the delivery error by e-mail or call Park City Solutions Inc. corporate
offices at (435) 654-0621

-----Original Message-----
From: Turner, John [mailto:JTurner@AAS.com]
Sent: Friday, October 18, 2002 1:57 PM
To: 'Tomcat Users List'
Subject: RE: Error Loading mod_jk.dll


Detlev Beutner used to supply mod_jk.dll binaries at
http://www.acg-gmbh.de/mod_jk/.

According to his site:

"PS: At the time writing this document, the (actual) Win-connector is called
mod_jk-2.0.42.dll, and it is mentioned that it "is for Apache 2.0.42 (and
only 2.0.42)". This is not true, the connector also works for 2.0.43 (as
correctly mentioned in the solaris-8-section; the same hopefully should hold
for linux!?)."

http://jakarta.apache.org/builds/jakarta-tomcat-connectors/jk/release/v1.2.0
/bin/win32/

So it would see that a JK DLL for .42 would be OK on .43.

John

> -----Original Message-----
> From: Jim Urban [mailto:jurban@parkcitysolutions.com]
> Sent: Friday, October 18, 2002 2:47 PM
> To: Tomcat-User (E-mail)
> Subject: Error Loading mod_jk.dll
>
>
> Now that presents a little problem.  The only version of
> Apache/2 I can find
> for Win32 is 2.0.43 and the only version of mod_jk I can find
> is 2.0.42.  I
> am a Java developer and do not have access to a Windows c/c++
> compiler, so I
> can't build my own version of either Apache or mod_jk.  Does
> anyone have a
> version of mod_jk that works with Apache 2.0.43 and Tomcat 4.0.4?
>
> Thanks,
>
> Jim Urban - jurban@parkcitysolutions.com
> Park City Solutions Inc.
> Clinical Connectivity Suite Product Manager
> Suite 295
> 500 Park Blvd.
> Itasca, IL  60143
> Voice:  (630) 250-3045 x106
> Fax:  (630) 250-3046
>
> CONFIDENTIALITY NOTICE
> This message and any included attachments are from Park City
> Solutions Inc.
> and are intended only for the entity to which it is
> addressed. The contained
> information is confidential and privileged material. If you
> are not the
> intended recipient, you are hereby notified that any use,
> dissemination, or
> copying of this communication is strictly prohibited and may
> be unlawful. If
> you have received this communication in error please notify
> the sender of
> the delivery error by e-mail or call Park City Solutions Inc.
> corporate
> offices at (435) 654-0621
>
> -----Original Message-----
> From: Aryeh Katz [mailto:aryeh@vasco.com]
> Sent: Friday, October 18, 2002 1:14 PM
> To: Tomcat-User (E-mail); jurban@parkcitysolutions.com
> Subject: Re: Error Loading mod_jk.dll
>
> > Environment:
> > Tomcat 4.0.4
> > Apache 2.0.43 with SSL
> > Win 2K - SP3
> > mod_jk = mod_jk-2.0.42.dll (renamed to mod_jk.dll)
>
> I think this is your problem
> There might be binary incompatability between 2.0.42 and
> 2.0.43.
> Try a 2.0.42 server, and see if it works (otherwise, build mod_jk
> against the 2.0.43 source).
> Aryeh
>
> ---
> Aryeh Katz
> VASCO
> www.vasco.com
>
>
> --
> To unsubscribe, e-mail:
<mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail:
<mailto:tomcat-user-help@jakarta.apache.org>

--
To unsubscribe, e-mail:
<mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail:
<mailto:tomcat-user-help@jakarta.apache.org>


--
To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>


Mime
View raw message